Retrieve current user information - m3ter Documentation

Retrieve current user information

cURL

curl --request GET \
  --url https://api.m3ter.com/organizations/{orgId}/users/me \
  --header 'Authorization: Bearer <token>'

Python

import requests

url = "https://api.m3ter.com/organizations/{orgId}/users/me"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)

JavaScript (Fetch API)

const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.m3ter.com/organizations/{orgId}/users/me', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Response Codes

Example Response

{
  "user": {
    "id": "<string>",
    "version": 123,
    "firstName": "<string>",
    "lastName": "<string>",
    "contactNumber": "<string>",
    "email": "<string>",
    "organizations": [
      "<string>"
    ],
    "firstAcceptedTermsAndConditions": "2023-11-07T05:31:56Z",
    "lastAcceptedTermsAndConditions": "2023-11-07T05:31:56Z",
    "supportUser": true,
    "dtCreated": "2023-11-07T05:31:56Z",
    "dtLastModified": "2023-11-07T05:31:56Z",
    "createdBy": "<string>",
    "lastModifiedBy": "<string>"
  },
  "serviceUser": {
    "id": "<string>",
    "version": 123,
    "name": "<string>",
    "dtCreated": "2023-11-07T05:31:56Z",
    "dtLastModified": "2023-11-07T05:31:56Z",
    "createdBy": "<string>",
    "lastModifiedBy": "<string>"
  },
  "organization": {
    "id": "<string>",
    "version": 123,
    "orgId": "<string>",
    "customerId": "<string>",
    "organizationName": "<string>",
    "shortName": "<string>",
    "addressLine1": "<string>",
    "addressLine2": "<string>",
    "addressLine3": "<string>",
    "addressLine4": "<string>",
    "locality": "<string>",
    "region": "<string>",
    "postCode": "<string>",
    "country": "<string>",
    "taxId": "<string>",
    "purchaseOrderNumber": "<string>",
    "invoiceGeneralReference": "<string>",
    "billingContactUserId1": "<string>",
    "billingContactUserId2": "<string>",
    "billingContactUserId3": "<string>",
    "dtCreated": "2023-11-07T05:31:56Z",
    "dtLastModified": "2023-11-07T05:31:56Z",
    "createdBy": "<string>",
    "lastModifiedBy": "<string>"
  }
}

Error Responses

{
  "message": "<string>"
}
{
  "message": "<string>"
}